import { Injectable } from '@angular/core';
import { Observable, of } from 'rxjs';
import { HttpClient, HttpHeaders } from '@angular/common/http';

import { Objekt } from './objekt';
import { MessageService } from './message.service';

@Injectable({
  providedIn: 'root'
})
export class ObjektService {
  constructor(private messageService: MessageService, private http: HttpClient) { }
  
  getObjekte(): Promise<Objekt[]> {
    this.messageService.add('ObjektService: fetched objekte');
    return this.http.get<Objekt[]>(`http://172.16.3.185:5000/hv/objekte`).toPromise()
  }

  getObjekt(id: number): Promise<Objekt> {
    this.messageService.add(`ObjektService: fetch objekt id=${id}`);
    return this.http.get<Objekt>(`http://172.16.3.185:5000/hv/objekt/${id}`).toPromise()
  }
}
